:host {
	display: block;
	margin-bottom: 7px;
	position: relative;
	width: 553px;
}

:host * {
	box-sizing: border-box;
}

.wrapper {
	background-color: #fff;
	cursor: not-allowed;
    height: calc(100% + 7px);
    opacity: 0.6;
    position: absolute;
    width: 100%;
    z-index: 1;
}

.container {
	align-items: center;
	background-color: #FFFFFF;
	border: 1px dashed #CCCCCC;
	border-radius: 7px;
	box-sizing: border-box;
	display: flex;
	height: 63px;
	position: relative;
	width: 383px;
}

.header {
	align-items: center;
	border-radius: 7px 0 0 7px;
	background-color: #02688C;
	display: flex;
	flex-direction: column;
	height: 63px;
	justify-content: space-evenly;
	position: relative;
	width: 31px;
}

.table-icon {
	cursor: pointer;
	height: 15px;
	width: 20px;
}

.header-line {
	box-sizing: border-box;
	height: 1px;
	width: 23px;
	border-top: 1px solid #FFFFFF;
	opacity: 0.48;
	position: relative;
	top: 2px;
}

.hb-name {
	height: 13px;
	width: 22px;
	color: #FFFFFF;
	font-family: Roboto;
	font-size: 11px;
	font-weight: bold;
	line-height: 13px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.hb-name-editmode-number {
	font-size: 28px;
}

.body {
	align-items: center;
	display: flex;
	height: 100%;
	justify-content: flex-start;
	padding: 12px 10px;
	width: calc(100% - 31px);
}

.droplist-item {
	display: flex;
	flex-direction: column;
	height: 39px;
	width: 80px;
	margin-right: 7px;
}

.droplist-label {
	height: 13px;
	width: 54px;
	color: #999999;
	font-family: Roboto;
	font-size: 11px;
	letter-spacing: 0.2px;
	line-height: 13px;
	margin-bottom: 2px;
}

.droplist-control {
	height: 24px;
	width: 100%;
}

.connection-cntr-wrapper {
	align-items: center;
	display: flex;
	justify-content: center;
	width: 100%;
}

.connection-cntr {
	border-radius: 17px;
	background-color: #231F20;
	box-shadow: 0 2.6px 10.4px -16px rgba(0, 0, 0, 0.5), 0 8.5px 25px -16px rgba(0, 0, 0, 0.39), 0 35px 83px -16px rgba(0, 0, 0, 0.17);
	height: 34px;
	width: 178px;
	display: flex;
	align-items: center;
	padding: 0px 7px;
}

.connection-cntr-btn {
	align-items: center;
	color: #FFFFFF;
	display: flex;
	font-family: Roboto;
	font-size: 12px;
	justify-content: flex-end;
	width: 39px;
}

.connection-cntr-lbl {
	align-items: center;
	color: #FFFFFF;
	display: flex;
	font-family: Roboto;
	font-size: 12px;
	justify-content: center;
  margin-left: 23px;
  width: calc(100% - 61px);
}

.cross-cntr {
	height: 17px;
	width: 17px;
	border-radius: 50%;
	background-color: #DA0000;
	color: #FFFFFF;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 18px;
	font-family: Roboto;
	transform: rotate(45deg);
}

.plus-cntr {
	height: 17px;
	width: 17px;
	border-radius: 17px;
	background-color: #00A94F;
	color: #FFFFFF;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 16px;
	padding-left: 1.2px;
	margin-right: 5px;
}

.custom-select-widget {
	height: 100%;
	width: 100%;
}

.custom-select-widget::shadow>div {
	height: 100%;
	width: 100%;
}

.custom-select-widget::shadow .ctrl-hdr {
	display: none;
}

.custom-select-widget::shadow .ctrl-cnt {
	height: 100%;
	width: 100%;
}

.custom-select-widget::shadow #select.selectbox {
	height: 100%;
	padding: 3px;
	width: 100%;
}

.fet-terminal {
	pointer-events: none;
	position: absolute;
	left: 382px;
}

.fet-connection {
	pointer-events: none;
	display: none;
	position: absolute;
	left: 387px;
}

:host.fet-connection .fet-connection {
	display: unset;
}

.motor-cnt-branch {
	pointer-events: none;
	display: flex;
}

.motor-cnt-branch>ti-widget-custom-motor-cnt-branch {
	position: absolute;
	top: 8px;
}

.motor-cnt-branch>ti-widget-custom-motor-cnt-branch:nth-child(1) {
	left: 398px;
}

.motor-cnt-branch>ti-widget-custom-motor-cnt-branch:nth-child(2) {
	left: 419px;
}

.motor-cnt-branch>ti-widget-custom-motor-cnt-branch:nth-child(3) {
	left: 440px;
}

.motor-cnt-branch>ti-widget-custom-motor-cnt-branch:nth-child(4) {
	left: 461px;
}

.motor-cnt-branch>ti-widget-custom-motor-cnt-branch:nth-child(5) {
	left: 482px;
}

.motor-cnt-branch>ti-widget-custom-motor-cnt-branch:nth-child(6) {
	left: 503px;
}

.motor-cnt-branch>ti-widget-custom-motor-cnt-branch:nth-child(7) {
	left: 524px;
}

.motor-cnt-branch>ti-widget-custom-motor-cnt-branch:nth-child(8) {
	left: 525px;
}

.select-text {
	align-items: center;
	color: #999999;
	display: flex;
	font-family: Roboto;
	font-size: 12px;
	justify-content: center;
	width: 100%;
}

.select-pair-cntr {
	position: absolute;
	right: -66px;
	top: -12px;
	z-index: 100;
}

.select-pair-inner-cntr {
	border-radius: 17px;
	background-color: #231F20;
	box-shadow: 0 2.6px 10.4px -16px rgba(0, 0, 0, 0.5), 0 8.5px 25px -16px rgba(0, 0, 0, 0.39), 0 35px 83px -16px rgba(0, 0, 0, 0.17);
	height: 34px;
	width: 139px;
	display: flex;
	align-items: center;
	justify-content: space-between;
	padding: 0px 7px;
}

.select-pair-cntr-item {
	color: #FFFFFF;
	font-family: Roboto;
	font-size: 12px;
	display: flex;
	align-items: center;
}

.pad-left-7 {
	padding-left: 7px;
}

.ptr:hover {
	cursor: pointer;
}

.tick-outer {
	background-color: #00A94F;
	border-radius: 18px;
	height: 18px;
	position: relative;
	width: 18px;
}

.tick-inner {
	border-color: #FFFFFF;
	border-style: solid;
	border-width: 0px 2px 2px 0px;
	height: 8px;
	left: 7px;
	position: absolute;
	transform: rotate(45deg);
	top: 4px;
	width: 4px;
}

.mar-rght-5 {
	margin-right: 5px;
}